bluestore - Support #23433

Ceph cluster doesn't start - ERROR: error creating empty object store in /data/ceph/build/dev/osdO0:
(22) Invalid argument

03/21/2018 04:33 PM - Neha Gupta

Status: New % Done: 0%
Priority: Normal
Assignee:

Category:

Target version:

Tags: Affected Versions:

Reviewed: Pull request ID:

Description

After running make vstart. When | try to start a ceph cluster with
MON=3 OSD=1 MDS=1 MGR=1 RGW-=1 ../src/vstart.sh -n -d

The error pops :

Error EINVAL: invalid command

MGR Restful is not working, perhaps the package is not installed?

add osd0 8964668d-5ba6-47cd-b88b-71615fca2455

/data/ceph/build/bin/ceph -c /data/ceph/build/ceph.conf -k /data/ceph/build/keyring osd create
8964668d-5ba6-47cd-b88b-71615fca2455

0

/data/ceph/build/bin/ceph -c /data/ceph/build/ceph.conf -k /data/ceph/build/keyring osd crush add 0sd.0 1.0 host=2e6e3be0984b
root=default

add item id 0 name 'osd.0" weight 1 at location {host=2e6e3be0984b,root=default} to crush map

2018-03-21 15:17:25.549 7f9eb8b39dc0 -1 bluestore(/data/ceph/build/dev/osd0/block) _read bdev_label failed to open
/data/ceph/build/dev/osd0/block: (2) No such file or directory

2018-03-21 15:17:25.549 7f9eb8b39dc0 -1 bluestore(/data/ceph/build/dev/osd0/block) _read_bdev_label failed to open
/data/ceph/build/dev/osd0/block: (2) No such file or directory

2018-03-21 15:17:25.549 7f9eb8b39dc0 -1 bluestore(/data/ceph/build/dev/osd0/block) _read_bdev_label failed to open
/data/ceph/build/dev/osd0/block: (2) No such file or directory

2018-03-21 15:17:25.559 7f9eb8b39dcO0 -1 bluestore(/data/ceph/build/dev/osd0) _read_fsid unparsable uuid

2018-03-21 15:17:25.559 7f9eb8b39dc0 -1 bdev(0x55e278f26780 /data/ceph/build/dev/osd0/block) open open got: (22) Invalid
argument

2018-03-21 15:17:25.559 7f9eb8b39dc0 -1 bluestore(/data/ceph/build/dev/osd0) mkfs failed, (22) Invalid argument

2018-03-21 15:17:25.559 7f9eb8b39dc0 -1 OSD::mkfs: ObjectStore::mkfs failed with error (22) Invalid argument

2018-03-21 15:17:25.559 7f9eb8b39dc0 -1 ** ERROR: error creating empty object store in /data/ceph/build/dev/osd0: (22) Invalid
argument

Here the screenshot.

History

#1 - 04/09/2018 05:32 PM - Greg Farnum

- Project changed from Ceph to bluestore

#2 - 04/09/2018 06:51 PM - Radoslaw Zarzynski

- Status changed from New to 4

What is the filesystem underneath /data/ceph/build/dev/osd0?

#3 - 12/05/2019 09:40 PM - Patrick Donnelly

- Status changed from 4 to New
